; The CMD file. 
	 
; Button Remapping 

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s
 
; Default Values 

[Defaults]
command.time = 15
command.buffer.time = 3
 
; コマンド定義 
	
; MAX2 
[Command]
name = "214_y,x"
command = ~D, DB, B, D, DB, B, x+y
time = 45
 
; MAX超必殺技 
[Command]
name = "2363214_c"
command = ~D, F, D, B, c
time = 30
 
; EX超必殺技 
[Command]
name = "236236_xy"
command = ~D, DF, F, D, DF, F, x+y
time = 30

[Command]
name = "236236_ab"
command = ~D, DF, F, D, DF, F, a+b
time = 30

[Command]
name = "2363214_xy"
command = ~D, F, D, B, x+y
time = 30
 
; 超必殺技 

[Command]
name = "236236_x"
command = ~D, DF, F, D, DF, F, x
time = 30

[Command]
name = "236236_y"
command = ~D, DF, F, D, DF, F, y
time = 30

[Command]
name = "236236_c"
command = ~D, DF, F, D, DF, F, c
time = 30

[Command]
name = "214214_x"
command = ~D, DB, B, D, DB, B, x
time = 30

[Command]
name = "214214_y"
command = ~D, DB, B, D, DB, B, y
time = 30

[Command]
name = "214214_xy"
command = ~D, DB, B, D, DB, B, x+y
time = 30


[Command]
name = "236236_a"
command = ~D, DF, F, D, DF, F, a
time = 30

[Command]
name = "236236_b"
command = ~D, DF, F, D, DF, F, b
time = 30

[Command]
name = "2363214_x"
command = ~D, F, D, B, x
time = 30

[Command]
name = "2363214_y"
command = ~D, F, D, B, y
time = 30
 
; 必殺技 

[Command]
name = "236_x"
command = ~D, DF, F, x
[Command]
name = "236_x"
command = ~D, DF, UF, x

[Command]
name = "236_y"
command = ~D, DF, F, y
[Command]
name = "236_y"
command = ~D, DF, UF, y

[Command]
name = "623_x"
command = ~F, D, DF, x

[Command]
name = "623_y"
command = ~F, D, DF, y

[Command]
name = "236_a"
command = ~D, DF, F, a
[Command]
name = "236_a"
command = ~D, DF, UF, a

[Command]
name = "236_b"
command = ~D, DF, F, b
[Command]
name = "236_b"
command = ~D, DF, UF, b

[Command]
name = "214_a"
command = ~D, DB, B, a
[Command]
name = "214_a"
command = ~D, DB, UB, a

[Command]
name = "214_b"
command = ~D, DB, B, b
[Command]
name = "214_b"
command = ~D, DB, UB, b

[Command]
name = "214_x"
command = ~D, DB, B, x
[Command]
name = "214_x"
command = ~D, DB, UB, x

[Command]
name = "214_y"
command = ~D, DB, B, y
[Command]
name = "214_y"
command = ~D, DB, UB, y
 
; EX必殺技 

[Command]
name = "236_ab"
command = ~D, DF, F, a+b
 
; 追加入力 

[Command]
name = "a:6_a"
command = /F, a
time = 1
buffer.time = 8

[Command]
name = "a:6_b"
command = /F, b
time = 1
buffer.time = 8

[Command]
name = "a:4_a"
command = /B, a
time = 1
buffer.time = 8

[Command]
name = "a:4_b"
command = /B, b
time = 1
buffer.time = 8

[Command]
name = "a:214_a"
command = ~D, DB, B, a
buffer.time = 8
[Command]
name = "a:214_a"
command = ~D, DB, UB, a
buffer.time = 8

[Command]
name = "a:214_b"
command = ~D, DB, B, b
buffer.time = 8
[Command]
name = "a:214_b"
command = ~D, DB, UB, b
buffer.time = 8
 
; その他 

[Command]
name = "highjump"
command = $D, $U
time = 10

[Command]
name = "select"
command = s
time = 1
buffer.time = 1
 
; 必須、基本 

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "recovery"
command = x+a
time = 1

[Command]
name = "recovery"
command = z
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_start"
command = /s
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1
  
; ステートエントリー 
[statedef -1]
	 
; NEO MAXクリムゾンスターロード 
[State -1]
type = ChangeState
value = 4500
triggerall = roundstate = 2 && !var(59) && life <= lifemax/3
triggerall = power >= 3000 || (var(10) && power >= 2000)
triggerall = command = "214_y,x"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 16)

; MAX3ブロークンハーツ 
[State -1]
type = ChangeState
value = 3600
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 3000 || (var(10) && power >= 2000)
triggerall = command = "236236_c"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 16) && stateno != [3600,3999]

; MAX2ハイパーチェーンドライブ 
[State -1]
type = ChangeState
value = 3500
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 2000 || (var(10) && power >= 1000)
triggerall = command = "2363214_c"
triggerall = statetype != A && !numproj
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 8)
 
; MAXクールドライブ 
[State -1]
type = ChangeState
value = 4000
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1500 || (var(10) && power >= 500)
triggerall = command = "236236_xy"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; MAXチェーンドライブ 
[State -1]
type = ChangeState
value = 4010
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1500 || (var(10) && power >= 500)
triggerall = command = "2363214_xy"
triggerall = statetype != A && !numproj
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; MAXヘブンドライブ 
[State -1]
type = ChangeState
value = 4020
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1500 || (var(10) && power >= 500)
triggerall = command = "236236_ab"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; MAXヘルズドライブ
[State -1]
type = ChangeState
value = 4030
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1500 || (var(10) && power >= 500)
triggerall = (p2dist x >= 0 && command = "236236_xy") || (p2dist x < 0 && command = "214214_xy")
triggerall = statetype = A
trigger1 = ctrl
trigger2 = var(7) && (var(8) & 4)
trigger3 = var(10) = 1
trigger3 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; チェーンドライブ 
[State -1]
type = ChangeState
value = 3010
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1000 || var(10)
triggerall = command = "2363214_x" || command = "2363214_y"
triggerall = statetype != A && !numproj
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; クールドライブ弱 
[State -1]
type = ChangeState
value = 3000
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1000 || var(10)
triggerall = command = "236236_x"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; クールドライブ強
[State -1]
type = ChangeState
value = 3005
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1000 || var(10)
triggerall = command = "236236_y"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; ヘブンズドライブ 弱 
[State -1]
type = ChangeState
value = 3020
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1000 || var(10)
triggerall = command = "236236_a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; ヘブンズドライブ 強
[State -1]
type = ChangeState
value = 3025
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1000 || var(10)
triggerall = command = "236236_b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116 || stateno = 1088
trigger3 = var(7) && (var(8) & 4)
trigger4 = var(10) = 1
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; ヘルズドライブ 強・弱
[State -1]
type = ChangeState
value = 3030
triggerall = roundstate = 2 && !var(59)
triggerall = power >= 1000 || var(10)
triggerall = (p2dist x >= 0 && (command = "236236_x"||command = "236236_y")) || (p2dist x < 0 && (command = "214214_x"||command = "214214_y"))
triggerall = statetype = A
trigger1 = ctrl
trigger2 = var(7) && (var(8) & 4)
trigger3 = var(10) = 1
trigger3 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; クロウバイツ 弱 
[State -1]
type = ChangeState
value = 1040
triggerall = roundstate = 2 && !var(59)
triggerall = command = "623_x"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1040,1050]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; クロウバイツ 強
[State -1]
type = ChangeState
value = 1045
triggerall = roundstate = 2 && !var(59)
triggerall = command = "623_y"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1040,1050]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; テリブルブロウ 弱 
[State -1]
type = ChangeState
value = 1000
triggerall = roundstate = 2 && !var(59)
triggerall = command = "236_x"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1040,1050]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; テリブルブロウ 強
[State -1]
type = ChangeState
value = 1005
triggerall = roundstate = 2 && !var(59)
triggerall = command = "236_y"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1040,1050]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; ミニッツスパイク 弱 
[State -1]
type = ChangeState
value = 1050
triggerall = roundstate = 2 && !var(59)
triggerall = command = "214_a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1050,1060]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; ミニッツスパイク 強
[State -1]
type = ChangeState
value = 1055
triggerall = roundstate = 2 && !var(59)
triggerall = command = "214_b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1050,1060]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; カウンターシェル
[State -1]
type = ChangeState
value = 1090
triggerall = roundstate = 2 && !var(59)
triggerall = command = "214_x" || command = "214_y"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1040,1050]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; ブラックアウト 弱 
[State -1]
type = ChangeState
value = 1070
triggerall = roundstate = 2 && !var(59)
triggerall = command = "236_a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)

; ブラックアウト 強
[State -1]
type = ChangeState
value = 1075
triggerall = roundstate = 2 && !var(59)
triggerall = command = "236_b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40 || stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 2)
 
; 空中ミニッツスパイク 弱 
[State -1]
type = ChangeState
value = 1060
triggerall = roundstate = 2 && !var(59)
triggerall = (p2dist x >= 0 && command = "214_a") || (p2dist x < 0 && command = "236_a")
triggerall = statetype = A
trigger1 = ctrl && pos y < -20
trigger2 = stateno = 106 || stateno = 111
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1060,1070]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; 空中ミニッツスパイク 強
[State -1]
type = ChangeState
value = 1065
triggerall = roundstate = 2 && !var(59)
triggerall = (p2dist x >= 0 && command = "214_b") || (p2dist x < 0 && command = "236_b")
triggerall = statetype = A
trigger1 = ctrl && pos y < -20
trigger2 = stateno = 106 || stateno = 111
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1060,1070]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 
; エアスマッシュ 弱 
[State -1]
type = ChangeState
value = 1080
triggerall = roundstate = 2 && !var(59)
triggerall = numproj = 0
triggerall = (p2dist x >= 0 && command = "236_a") || (p2dist x < 0 && command = "214_a")
triggerall = statetype = A
trigger1 = ctrl && pos y < -30
trigger2 = stateno = 106 || stateno = 111
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1080,1089]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])

; エアスマッシュ 強
[State -1]
type = ChangeState
value = 1085
triggerall = roundstate = 2 && !var(59)
triggerall = numproj = 0
triggerall = (p2dist x >= 0 && command = "236_b") || (p2dist x < 0 && command = "214_b")
triggerall = statetype = A
trigger1 = ctrl && pos y < -30
trigger2 = stateno = 106 || stateno = 111
trigger3 = var(7) && (var(8) & 2)
trigger4 = var(10) = 1 && stateno != [1080,1089]
trigger4 = (stateno = [200,800]) || (var(7) && stateno = [1000,2000])
 	
; セカンドニー
[State -1]
type = ChangeState
value = 1017
triggerall = roundstate = 2 && !var(59)
triggerall = command != "holdback" && command = "holddown" && (command = "b"||command = "a")
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 8,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 10,< 0

; セカンドシュート 
[State -1]
type = ChangeState
value = 1010
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:6_a"
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 8,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 10,< 0

; セカンドシェル
[State -1]
type = ChangeState
value = 1015
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:6_b"
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 8,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 10,< 0

; (派生)ナロウスパイク 
[State -1]
type = ChangeState
value = 1030
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:214_a"
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 7,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 9,< 0

; (派生)セカンドスパイク
[State -1]
type = ChangeState
value = 1035
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:214_b"
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 7,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 9,< 0
 
; (派生)ブラックアウト 弱 
[State -1]
type = ChangeState
value = 1020
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:4_a"
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 7,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 9,< 0

; (派生)ブラックアウト 強
[State -1]
type = ChangeState
value = 1025
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:4_b"
trigger1 = stateno = 1000
trigger1 = animelem = 4,> 4 && animelem = 7,< 0
trigger2 = stateno = 1005
trigger2 = animelem = 7,> 0 && animelem = 9,< 0
 
; クロウバイツ(追加) エアスパイク
[State -1]
type = ChangeState
value = 1048
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a:6_a" || command = "a:6_b"
trigger1 = stateno = 1046
trigger1 = animelem = 4,> 0 && animelem = 5,< 0

; エアスマッシュ追加　エアリアルブロウ
[State -1]
type = ChangeState
value = 1087
triggerall = roundstate = 2 && !var(59)
triggerall = command = "x" || command = "y"
triggerall = command != "holdup" && command != "holdback"
triggerall = command = "holddown" || command = "holdfwd"
trigger1 = stateno = 1080 || stateno = 1085
trigger1 = animelem = 5,> 0 && animelem = 10,< 0

; ナロウスパイク 
[State -1]
type = ChangeState
value = 1058
triggerall = roundstate = 2 && !var(59)
triggerall = command = "214_a" || command = "214_b"
trigger1 = stateno = 1051
trigger1 = animelem = 2,>= 0 && animelem = 6,<= 0
trigger2 = stateno = 1056
trigger2 = animelem = 2,>= 0 && animelem = 6,<= 0

; レッドスパイク 
[State -1]
type = ChangeState
value = 1068
triggerall = roundstate = 2 && !var(59)
triggerall = command = "214_a" || command = "214_b"
trigger1 = stateno = 1060
trigger1 = animelem = 5,> 0 && animelem = 8,< 2
trigger2 = stateno = 1065
trigger2 = animelem = 5,> 0 && animelem = 8,< 2

; GC緊急回避 
[State -1]
type = ChangeState
value = ifelse(command = "holdfwd", 810, 815)
triggerall = roundstate = 2 && !var(59)
triggerall = (command = "x" && command = "a")|| command = "z"
triggerall = power >= 1000 || (var(10)=2 && power >= 500)
trigger1 = stateno = [150,153]

; GCふっとばし攻撃(地上)
[State -1]
type = ChangeState
value = ifelse(var(0),306,305)
triggerall = roundstate = 2 && !var(59)
triggerall = command = "c"
triggerall = power >= 1000 || (var(10)=2 && power >= 500)
trigger1 = stateno = [150,153]

; GCグランドステップ
[State -1]
type = ChangeState
value = 840
triggerall = roundstate = 2 && !var(59)
triggerall = command = "FF"
triggerall = power >= 1000 || (var(10)=2 && power >= 500)
trigger1 = stateno = [150,153]

; ACグランドステップ
[State -1]
type = ChangeState
value = 845
triggerall = roundstate = 2 && !var(59)
triggerall = (command = "x" && command = "a")|| command = "z"
triggerall = power >= 1000 || (var(10)=1 && power >= 500)
triggerall = statetype != A
trigger1 = movecontact = [1,8]
trigger1 = stateno = [200,600]

; グランドステップ 
[State -1]
type = ChangeState
value = 115
triggerall = roundstate = 2 && !var(59)
triggerall = ((command = "x" && command = "a")|| command = "z") && command = "holdfwd"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 101 || stateno = 116
 
; 緊急回避 
[State -1]
type = ChangeState
value = ifelse(command = "holdback", 805, 800)
triggerall = roundstate = 2 && !var(59)
triggerall = ((command = "x" && command = "a")|| command = "z") && command != "holdfwd"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 101 || stateno = 116
 
; MAX発動 
[State -1]
type = ChangeState
value = 830
triggerall = roundstate = 2 && !var(59)
triggerall = command = "y" && ((!var(52) && command = "b") || (var(52) && command = "a"))
triggerall = !var(10) && power >= 1000
trigger1 = statetype != A && ctrl
trigger2 = stateno = 101 || stateno = 116

; クイックMAX発動
[State -1]
type = ChangeState
value = 835
triggerall = roundstate = 2 && !var(59)
triggerall = command = "y" && ((!var(52) && command = "b") || (var(52) && command = "a"))
triggerall = !var(10) && power >= 1000
trigger1 = statetype != A && movecontact = [1,8)
trigger1 = stateno = [200,600]
 
; スパイクライド 
[State -1]
type = ChangeState
value = 920
triggerall = roundstate = 2 && !var(59)
trigger1 = command = "y" && command = "holdfwd"
trigger1 = p2bodydist X < 15 && enemynear,movetype != H
trigger1 = statetype = S && ctrl

; スポットパイル
[State -1]
type = ChangeState
value = 900
triggerall = roundstate = 2 && !var(59)
trigger1 = command = "y" && command = "holdback"
trigger1 = p2bodydist X < 18 && enemynear,movetype != H
trigger1 = statetype = S && ctrl

; ニーストライク
[State -1]
type = ChangeState
value = 910
triggerall = roundstate = 2 && !var(59)
trigger1 = command = "b" && (command = "holdfwd" || command = "holdback")
trigger1 = p2bodydist X < 15 && enemynear,movetype != H
trigger1 = statetype = S && ctrl
 
; ワンインチ 
[State -1]
type = ChangeState
value = 310
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holdfwd" && command != "holddown" && command = "x"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 101 || stateno = 116
trigger3 = var(7) && movecontact = 0 && (var(8) & 1)

[State -1]
type = ChangeState
value = 315
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holdfwd" && command != "holddown" && command = "x"
triggerall = statetype != A
trigger1 = var(7) && movecontact && (var(8) & 1)
 
; ニーアサルト 
[State -1]
type = ChangeState
value = 320
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holdfwd" && command = "holddown" && command = "b"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 101 || stateno = 116
trigger3 = var(7) && movecontact = 0 && (var(8) & 1)

[State -1]
type = ChangeState
value = 325
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holdfwd" && command = "holddown" && command = "b"
triggerall = statetype != A
trigger1 = var(7) && movecontact && (var(8) & 1)
 
; スナイパーサイド 
[State -1]
type = ChangeState
value = 330
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holdfwd" && command != "holddown" && command = "a"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 101 || stateno = 116
trigger3 = var(7) && (var(8) & 1)

; スナイパーセカンド 
[State -1]
type = ChangeState
value = 331
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holdfwd" && command != "holddown" && command = "a"
triggerall = statetype != A
trigger1 = stateno = 330
trigger1 = animelem = 7,> 0 && animelem = 10,<= 0

 
; ふっとばし攻撃(地上) 
[State -1]
type = ChangeState
value = 300
triggerall = roundstate = 2 && !var(59)
triggerall = command = "c"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 101 || stateno = 116

; ふっとばし攻撃(空中)
[State -1]
type = ChangeState
value = 700
triggerall = roundstate = 2 && !var(59)
triggerall = command = "c"
trigger1 = statetype = A && ctrl
 
; 立ち弱P 
[State -1]
type = ChangeState
value = ifelse(p2bodydist X < 15, 200, 205)
triggerall = roundstate = 2 && !var(59)
triggerall = command = "x" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 101 || stateno = 116
trigger3 = stateno = 200 && animelem = 4,> 0
trigger4 = stateno = 400 && animelem = 4,> 0
trigger5 = stateno = 420 && animelem = 4,> 0

; 立ち強P
[State -1]
type = ChangeState
value = ifelse(p2bodydist X < 15, 210, 215)
triggerall = roundstate = 2 && !var(59)
triggerall = command = "y" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 101 || stateno = 116

; 立ち弱K
[State -1]
type = ChangeState
value = ifelse(p2bodydist X < 15, 220, 225)
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 101 || stateno = 116

; 立ち強K
[State -1]
type = ChangeState
value = ifelse(p2bodydist X < 15, 230, 235)
triggerall = roundstate = 2 && !var(59)
triggerall = command = "b" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 101 || stateno = 116
 
; しゃがみ弱P 
[State -1]
type = ChangeState
value = 400
triggerall = roundstate = 2 && !var(59)
triggerall = command = "x" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 101 || stateno = 116
trigger3 = stateno = 200 && animelem = 4,> 0
trigger4 = stateno = 400 && animelem = 4,> 0
trigger5 = stateno = 420 && animelem = 4,> 0

; しゃがみ強P
[State -1]
type = ChangeState
value = 410
triggerall = roundstate = 2 && !var(59)
triggerall = command = "y" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 101 || stateno = 116

; しゃがみ弱K
[State -1]
type = ChangeState
value = 420
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 101 || stateno = 116
trigger3 = stateno = 200 && animelem = 4,> 0
trigger4 = stateno = 400 && animelem = 4,> 0
trigger5 = stateno = 420 && animelem = 4,> 0

; しゃがみ強K
[State -1]
type = ChangeState
value = 430
triggerall = roundstate = 2 && !var(59)
triggerall = command = "b" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 101 || stateno = 116
 
; ジャンプ弱P 
[State -1]
type = ChangeState
value = 600
triggerall = roundstate = 2 && !var(59)
triggerall = command = "x"
trigger1 = statetype = A && ctrl

; ジャンプ強P
[State -1]
type = ChangeState
value = 610
triggerall = roundstate = 2 && !var(59)
triggerall = command = "y"
trigger1 = statetype = A && ctrl

; ジャンプ弱K
[State -1]
type = ChangeState
value = ifelse(vel x,625,620)
triggerall = roundstate = 2 && !var(59)
triggerall = command = "a"
trigger1 = statetype = A && ctrl

; ジャンプ強K
[State -1]
type = ChangeState
value = 630
triggerall = roundstate = 2 && !var(59)
triggerall = command = "b"
trigger1 = statetype = A && ctrl
 
; 前方ダッシュ 
[State -1]
type = ChangeState
value = 100
triggerall = roundstate = 2 && !var(59)
trigger1 = command = "FF"
trigger1 = statetype = S && ctrl

; バックステップ
[State -1]
type = ChangeState
value = 105
triggerall = roundstate = 2 && !var(59)
trigger1 = command = "BB"
trigger1 = statetype = S && ctrl

; パワーため
[State -1]
type = ChangeState
value = 825
triggerall = roundstate = 2 && !var(59)
triggerall = command = "holddown" && command = "start"
triggerall = power < powermax && !var(10)
trigger1 = statetype != A && ctrl
trigger2 = stateno = 101 || stateno = 116

; 挑発
[State -1]
type = ChangeState
value = 820
triggerall = roundstate = 2 && !var(59)
triggerall = command = "start"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 101 || stateno = 116
   
